Mailinglist Archive: opensuse-updates (86 mails)

< Previous Next >
openSUSE-SU-2014:0674-1: moderate: libvirt: Fix migration with QEMU 1.6 and unsafe parsing of XML documents
openSUSE Security Update: libvirt: Fix migration with QEMU 1.6 and unsafe
parsing of XML documents
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0674-1
Rating: moderate
References: #873705 #875694
Cross-References: CVE-2014-0179
Affected Products:
openSUSE 13.1
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update fixes the following issues with libvirt:

- bnc#875694: Fix migration with QEMU 1.6. QEMU 1.6.0 introduced new
migration status: setup. Libvirt does not expect such string in QMP and
refuses to migrate with error "unexpected migration status in setup"

- Patch to prevent expansion of entities when parsing XML files. This
vulnerability allowed malicious users to read arbitrary files or cause a
denial of service (CVE-2014-0179).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-372

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

libvirt-1.1.2-2.32.1
libvirt-client-1.1.2-2.32.1
libvirt-client-debuginfo-1.1.2-2.32.1
libvirt-daemon-1.1.2-2.32.1
libvirt-daemon-config-network-1.1.2-2.32.1
libvirt-daemon-config-nwfilter-1.1.2-2.32.1
libvirt-daemon-debuginfo-1.1.2-2.32.1
libvirt-daemon-driver-interface-1.1.2-2.32.1
libvirt-daemon-driver-interface-debuginfo-1.1.2-2.32.1
libvirt-daemon-driver-lxc-1.1.2-2.32.1
libvirt-daemon-driver-lxc-debuginfo-1.1.2-2.32.1
libvirt-daemon-driver-network-1.1.2-2.32.1
libvirt-daemon-driver-network-debuginfo-1.1.2-2.32.1
libvirt-daemon-driver-nodedev-1.1.2-2.32.1
libvirt-daemon-driver-nodedev-debuginfo-1.1.2-2.32.1
libvirt-daemon-driver-nwfilter-1.1.2-2.32.1
libvirt-daemon-driver-nwfilter-debuginfo-1.1.2-2.32.1
libvirt-daemon-driver-qemu-1.1.2-2.32.1
libvirt-daemon-driver-qemu-debuginfo-1.1.2-2.32.1
libvirt-daemon-driver-secret-1.1.2-2.32.1
libvirt-daemon-driver-secret-debuginfo-1.1.2-2.32.1
libvirt-daemon-driver-storage-1.1.2-2.32.1
libvirt-daemon-driver-storage-debuginfo-1.1.2-2.32.1
libvirt-daemon-driver-uml-1.1.2-2.32.1
libvirt-daemon-driver-uml-debuginfo-1.1.2-2.32.1
libvirt-daemon-driver-vbox-1.1.2-2.32.1
libvirt-daemon-driver-vbox-debuginfo-1.1.2-2.32.1
libvirt-daemon-lxc-1.1.2-2.32.1
libvirt-daemon-qemu-1.1.2-2.32.1
libvirt-daemon-uml-1.1.2-2.32.1
libvirt-daemon-vbox-1.1.2-2.32.1
libvirt-debugsource-1.1.2-2.32.1
libvirt-devel-1.1.2-2.32.1
libvirt-doc-1.1.2-2.32.1
libvirt-lock-sanlock-1.1.2-2.32.1
libvirt-lock-sanlock-debuginfo-1.1.2-2.32.1
libvirt-login-shell-1.1.2-2.32.1
libvirt-login-shell-debuginfo-1.1.2-2.32.1
libvirt-python-1.1.2-2.32.1
libvirt-python-debuginfo-1.1.2-2.32.1

- openSUSE 13.1 (x86_64):

libvirt-client-32bit-1.1.2-2.32.1
libvirt-client-debuginfo-32bit-1.1.2-2.32.1
libvirt-daemon-driver-libxl-1.1.2-2.32.1
libvirt-daemon-driver-libxl-debuginfo-1.1.2-2.32.1
libvirt-daemon-driver-xen-1.1.2-2.32.1
libvirt-daemon-driver-xen-debuginfo-1.1.2-2.32.1
libvirt-daemon-xen-1.1.2-2.32.1
libvirt-devel-32bit-1.1.2-2.32.1


References:

http://support.novell.com/security/cve/CVE-2014-0179.html
https://bugzilla.novell.com/873705
https://bugzilla.novell.com/875694


< Previous Next >
This Thread
  • No further messages